{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 3 0}{FONT 0 "Times New R
oman" "Times New Roman" "Times-Roman" 4 14 64 "Times-Roman" 14
{COLOR "0000ff"}}{FONT 1 "MS Serif" "MS Serif" "Times-Roman" 4 14
 64 "Times-Roman" 14{COLOR "000000"}}{FONT 2 "Courier New" "Couri
er New" "Courier" 4 14 192 "Courier" 14{COLOR "ff0000"}}{SCP_R 0 
0 41{SCP_R 1 0 5{COM_R 3 0{TEXT 1 98 "                           \+
                     Probability and Statistics Explorations with
 Maple"}}{COM_R 6 0{TEXT 1 101 "                                 \+
                                 Zaven A. Karian and Elliot A. Ta
nis"}}{COM_R 9 0{TEXT 1 0 ""}}{COM_R 12 0{TEXT 1 99 "            \+
                                                            Solut
ions Manual--Chapter 9"}}{COM_R 15 0{TEXT 1 97 "                 \+
                                                                 \+
    Joshua Levy"}}}{SCP_R 17 0 1{INP_R 19 0 "> "{TEXT 0 15 "read(
`stat.m`);"}}}{SCP_R 21 0 16{COM_R 23 0{TEXT 1 13 "Problem 9_1_1"
}}{INP_R 26 0 "> "{TEXT 0 33 "  Dice:=[seq(Die(8,2), i=1..50)]:"}
}{INP_R 29 0 "> "{TEXT 0 27 "  X:=[seq(Min(D), D=Dice)];"}}{INP_R
 32 0 "> "{TEXT 0 27 "  Y:=[seq(Max(D), D=Dice)];"}}{INP_R 35 0 "
> "{TEXT 0 20 "  ScatPlotLine(X,Y);"}}{INP_R 38 0 "> "{TEXT 0 39 
"  mux:=sum(x*(2*(8-x+1)-1)/64, x=1..8);"}}{INP_R 41 0 "> "{TEXT 
0 29 "  evalf(Mean(X)); evalf(mux);"}}{INP_R 44 0 "> "{TEXT 0 48 
"  varx:=sum(x^2*(2*(8-x+1)-1)/64, x=1..8)-mux^2;"}}{INP_R 47 0 "
> "{TEXT 0 34 "  evalf(Variance(X)); evalf(varx);"}}{INP_R 50 0 "
> "{TEXT 0 34 "  muy:= sum(y*(2*y-1)/64, y=1..8);"}}{INP_R 53 0 "
> "{TEXT 0 29 "  evalf(Mean(Y)); evalf(muy);"}}{INP_R 56 0 "> "
{TEXT 0 42 "  vary:=sum(y^2*(2*y-1)/64, y=1..8)-muy^2;"}}{INP_R 
59 0 "> "{TEXT 0 34 "  evalf(Variance(Y)); evalf(vary);"}}{INP_R 
62 0 "> "{TEXT 0 86 "  cov:=sum(sum(x*y*1/64,y=x..x), x=1..8)+sum
(sum(x*y*2/64, y=x+1..8), x=1..7)-mux*muy;"}}{INP_R 65 0 "> "
{TEXT 0 27 "  rho:=cov/sqrt(varx*vary);"}}{INP_R 68 0 "> "{TEXT 0
 31 "  Correlation(X,Y); evalf(rho);"}}}{SCP_R 70 0 10{COM_R 72 0
{TEXT 1 14 " Problem 9_1_2"}}{INP_R 75 0 "> "{TEXT 0 46 "  Freqs:
=[seq(Freq(Die(4,9), 1..4), i=1..50)]:"}}{INP_R 78 0 "> "{TEXT 0 
26 "  X:=[seq(F[1], F=Freqs)];"}}{INP_R 81 0 "> "{TEXT 0 31 "  Y:
=[seq(F[2]+F[3], F=Freqs)];"}}{INP_R 84 0 "> "{TEXT 0 20 "  ScatP
lotLine(X,Y);"}}{INP_R 87 0 "> "{TEXT 0 31 "  evalf(Mean(X)); eva
lf(9*1/4);"}}{INP_R 90 0 "> "{TEXT 0 43 "  evalf(Variance(X)); ev
alf(9*1/4*(1-1/4));"}}{INP_R 93 0 "> "{TEXT 0 31 "  evalf(Mean(Y)
); evalf(9*2/4);"}}{INP_R 96 0 "> "{TEXT 0 43 "  evalf(Variance(Y
)); evalf(9*2/4*(1-2/4));"}}{INP_R 99 0 "> "{TEXT 0 60 "  Correla
tion(X,Y); evalf(-sqrt((1/4)*(1/2)/((3/4)*(1/2))));"}}}{SCP_R 101
 0 25{COM_R 103 0{TEXT 1 13 "Problem 9_1_3"}}{INP_R 106 0 "> "
{TEXT 0 72 "  f:=(x,y)->binomial(9,x)*binomial(9-x,y)*(1/4)^x*(1/
2)^y*(1/4)^(9-x-y);"}}{INP_R 109 0 "> "{TEXT 0 42 "  P:=[seq([seq
(f(i,j), j=0..9)], i=0..9)];"}}{INP_R 112 0 "> "{TEXT 0 14 "  wit
h(plots):"}}{INP_R 115 0 "> "{TEXT 0 36 "  matrixplot(P, heights=
histogram); "}}{INP_R 118 0 "> "{TEXT 0 10 "  m:=1000:"}}{INP_R 
121 0 "> "{TEXT 0 45 "  Freqs:=[seq(Freq(Die(4,9), 1..4), i=1..m)
]:"}}{INP_R 124 0 "> "{TEXT 0 26 "  X:=[seq(F[1], F=Freqs)]:"}}
{INP_R 127 0 "> "{TEXT 0 31 "  Y:=[seq(F[2]+F[3], F=Freqs)]:"}}
{INP_R 130 0 "> "{TEXT 0 22 "  for i from 0 to 9 do"}}{INP_R 133 
0 "> "{TEXT 0 24 "    for j from 0 to 9 do"}}{INP_R 136 0 "> "
{TEXT 0 19 "      freq[i][j]:=0"}}{INP_R 139 0 "> "{TEXT 0 6 "   \+
 od"}}{INP_R 142 0 "> "{TEXT 0 5 "  od:"}}{INP_R 145 0 "> "{TEXT 
0 22 "  for i from 1 to m do"}}{INP_R 148 0 "> "{TEXT 0 40 "    f
req[X[i]][Y[i]]:=freq[X[i]][Y[i]]+1"}}{INP_R 151 0 "> "{TEXT 0 5 
"  od:"}}{INP_R 154 0 "> "{TEXT 0 61 "  relfreq:=[seq([seq(evalf(
freq[i][j]/m), j=0..9)], i=0..9)]:"}}{INP_R 157 0 "> "{TEXT 0 41 
"  matrixplot(relfreq, heights=histogram);"}}{INP_R 160 0 "> "
{TEXT 0 33 "  p1:=Histogram(X, -.5..9.5, 10):"}}{INP_R 163 0 "> "
{TEXT 0 43 "  p2:=ProbHist(BinomialPDF(9,1/4,x), 0..9):"}}{INP_R 
166 0 "> "{TEXT 0 16 "  plot(\{p1,p2\});"}}{INP_R 169 0 "> "{TEXT
 0 33 "  p1:=Histogram(Y, -.5..9.5, 10):"}}{INP_R 172 0 "> "{TEXT
 0 43 "  p2:=ProbHist(BinomialPDF(9,1/2,y), 0..9):"}}{INP_R 175 0
 "> "{TEXT 0 17 "  plot(\{p1,p2\}); "}}}{SCP_R 177 0 5{COM_R 179 
0{TEXT 1 13 "Problem 9_2_1"}}{INP_R 182 0 "> "{TEXT 0 15 "  X:=Di
e(8,20);"}}{INP_R 185 0 "> "{TEXT 0 15 "  B:=Die(3,20);"}}{INP_R 
188 0 "> "{TEXT 0 33 "  Y:=[seq(X[k]+B[k]-1, k=1..20)];"}}{INP_R 
191 0 "> "{TEXT 0 47 "  plot(\{ScatPlotLine(X,Y), plot(x+1, x=1..
8)\});"}}}{SCP_R 193 0 8{COM_R 195 0{TEXT 1 13 "Problem 9_2_2"}}
{INP_R 198 0 "> "{TEXT 0 16 "  X:=Die(8,200):"}}{INP_R 201 0 "> "
{TEXT 0 16 "  B:=Die(3,200):"}}{INP_R 204 0 "> "{TEXT 0 33 "  Y:=
[seq(X[k]+B[k]-1, k=1..20)]:"}}{INP_R 207 0 "> "{TEXT 0 33 "  p1:
=Histogram(Y, .5..10.5, 10):"}}{INP_R 210 0 "> "{TEXT 0 2 "  "}}
{INP_R 213 0 "> "{TEXT 0 87 "p2:=ProbHist([1,1/24,2,2/24,3,3/24,4
,3/24,5,3/24,6,3/24,7,3/24,8,3/24,9,2/24,10,1/24]):"}}{INP_R 216 
0 "> "{TEXT 0 16 "  plot(\{p1,p2\});"}}}{SCP_R 218 0 27{COM_R 220
 0{TEXT 1 13 "Problem 9_2_3"}}{INP_R 223 0 "> "{TEXT 0 9 "  m:=20
0:"}}{INP_R 226 0 "> "{TEXT 0 24 "  X:=BinomialS(9,1/4,m):"}}
{INP_R 229 0 "> "{TEXT 0 50 "  Y:=[seq(op(BinomialS(9-X[i], 2/3, \+
1)), i=1..m)]:"}}{INP_R 232 0 "> "{TEXT 0 24 "  p1:=ScatPlotLine(
X,Y):"}}{INP_R 235 0 "> "{TEXT 0 13 "  mux:=9*1/4:"}}{INP_R 238 0
 "> "{TEXT 0 26 "  sigmax:=sqrt(9*1/4*3/4):"}}{INP_R 241 0 "> "
{TEXT 0 13 "  muy:=9*1/2:"}}{INP_R 244 0 "> "{TEXT 0 26 "  sigmay
:=sqrt(9*1/2*1/2):"}}{INP_R 247 0 "> "{TEXT 0 34 "  rho:=-sqrt((1
/4*1/2)/(3/4*1/2)):"}}{INP_R 250 0 "> "{TEXT 0 50 "  p2:=plot(muy
+rho*sigmay/sigmax*(x-mux), x=0..9):"}}{INP_R 253 0 "> "{TEXT 0 
16 "  plot(\{p1,p2\});"}}{INP_R 256 0 "> "{TEXT 0 29 "  evalf(Mea
n(Y)); evalf(muy);"}}{INP_R 259 0 "> "{TEXT 0 38 "  evalf(Varianc
e(Y)); evalf(sigmay^2);"}}{INP_R 262 0 "> "{TEXT 0 75 "  plot(\{H
istogram(Y, -.5..9.5, 10), ProbHist(BinomialPDF(9,1/2,y), 0..9)\}
);"}}{INP_R 265 0 "> "{TEXT 0 69 "  plot(\{PlotEmpCDF(Y,0..9), Pl
otDiscCDF(BinomialPDF(9,1/2,y),0..9)\});"}}{INP_R 268 0 "> "{TEXT
 0 22 "  for i from 0 to 9 do"}}{INP_R 271 0 "> "{TEXT 0 24 "    \+
for j from 0 to 9 do"}}{INP_R 274 0 "> "{TEXT 0 19 "      freq[i]
[j]:=0"}}{INP_R 277 0 "> "{TEXT 0 6 "    od"}}{INP_R 280 0 "> "
{TEXT 0 5 "  od:"}}{INP_R 283 0 "> "{TEXT 0 22 "  for i from 1 to
 m do"}}{INP_R 286 0 "> "{TEXT 0 40 "    freq[X[i]][Y[i]]:=freq[X
[i]][Y[i]]+1"}}{INP_R 289 0 "> "{TEXT 0 5 "  od:"}}{INP_R 292 0 "
> "{TEXT 0 61 "  relfreq:=[seq([seq(evalf(freq[i][j]/m), j=0..9)]
, i=0..9)]:"}}{INP_R 295 0 "> "{TEXT 0 14 "  with(plots):"}}
{INP_R 298 0 "> "{TEXT 0 41 "  matrixplot(relfreq, heights=histog
ram);"}}}{SCP_R 300 0 2{COM_R 302 0{TEXT 1 13 "Problem 9_2_4"}}
{COM_R 305 0{TEXT 1 43 "Repeat problem 9_2_3 with different value
s."}}}{SCP_R 307 0 5{COM_R 309 0{TEXT 1 13 "Problem 9_2_5"}}
{INP_R 312 0 "> "{TEXT 0 32 "  X:=DiscreteS(x/15, 1..5, 100):"}}
{INP_R 315 0 "> "{TEXT 0 38 "  Y:=[seq(op(Die(X[i],1)), i=1..100)
]:"}}{INP_R 318 0 "> "{TEXT 0 51 "  plot(\{ScatPlotLine(X,Y), plo
t((x+1)/2, x=1..5)\});"}}{INP_R 321 0 "> "{TEXT 0 61 "  plot(\{Hi
stogram(Y, .5..5.5, 5), ProbHist((6-x)/15, 1..5)\});"}}}{SCP_R 
323 0 12{COM_R 325 0{TEXT 1 13 "Problem 9_2_6"}}{INP_R 328 0 "> "
{TEXT 0 17 "  D:=Die(10,200):"}}{INP_R 331 0 "> "{TEXT 0 21 "  X:
=[seq(d-1, d=D)]:"}}{INP_R 334 0 "> "{TEXT 0 50 "  Y:=[seq(X[i]+f
loor((10-X[i])*rng()), i=1..200)]:"}}{INP_R 337 0 "> "{TEXT 0 48 
"  MarginalRelFreq([seq([X[i],Y[i]], i=1..200)]);"}}{INP_R 340 0 
"> "{TEXT 0 51 "  plot(\{ScatPlotLine(X,Y), plot((x+9)/2, x=0..9)
\});"}}{INP_R 343 0 "> "{TEXT 0 34 "  f2:=y->sum(1/10/(10-k), k=0
..y);"}}{INP_R 346 0 "> "{TEXT 0 28 "  muy:=sum(y*f2(y), y=0..9);
"}}{INP_R 349 0 "> "{TEXT 0 37 "  vary:=sum(y^2*f2(y), y=0..9)-mu
y^2;"}}{INP_R 352 0 "> "{TEXT 0 60 "  plot(\{Histogram(Y, -.5..9.
5, 10), ProbHist(f2(y), 0..9)\});"}}{INP_R 355 0 "> "{TEXT 0 29 "
  evalf(Mean(Y)), evalf(muy);"}}{INP_R 358 0 "> "{TEXT 0 34 "  ev
alf(Variance(Y)), evalf(vary);"}}}{SCP_R 360 0 13{COM_R 362 0
{TEXT 1 13 "Problem 9_2_7"}}{INP_R 365 0 "> "{TEXT 0 30 "  f2:=y-
>int(1/(1-x), x=0..y);"}}{INP_R 368 0 "> "{TEXT 0 14 "  X:=RNG(20
0):"}}{INP_R 371 0 "> "{TEXT 0 47 "  Y:=[seq(op(UniformS(X[i]..1,
 1)), i=1..200)]:"}}{INP_R 374 0 "> "{TEXT 0 19 "  Correlation(X,
Y);"}}{INP_R 377 0 "> "{TEXT 0 16 "  LinReg(X,Y,x);"}}{INP_R 380 
0 "> "{TEXT 0 17 "  EY:=x->(x+1)/2;"}}{INP_R 383 0 "> "{TEXT 0 49
 "  plot(\{ScatPlotLine(X,Y), plot(EY(x), x=0..1)\});"}}{INP_R 
386 0 "> "{TEXT 0 54 "  plot(\{Histogram(Y, 0..1, 10), plot(f2(y)
, y=0..1)\});"}}{INP_R 389 0 "> "{TEXT 0 28 "  muy:=int(y*f2(y), \+
y=0..1);"}}{INP_R 392 0 "> "{TEXT 0 22 "  Mean(Y), evalf(muy);"}}
{INP_R 395 0 "> "{TEXT 0 37 "  vary:=int(y^2*f2(y), y=0..1)-muy^2
;"}}{INP_R 398 0 "> "{TEXT 0 27 "  Variance(Y), evalf(vary);"}}}
{SCP_R 400 0 13{COM_R 402 0{TEXT 1 13 "Problem 9_2_8"}}{INP_R 405
 0 "> "{TEXT 0 25 "  X:=UniformS(0..10,100):"}}{INP_R 408 0 "> "
{TEXT 0 24 "  B:=UniformS(0..2,100):"}}{INP_R 411 0 "> "{TEXT 0 
32 "  Y:=[seq(X[i]+B[i], i=1..100)]:"}}{INP_R 414 0 "> "{TEXT 0 
48 "  plot(\{ScatPlotLine(X,Y), plot(x+1, x=0..10)\});"}}{INP_R 
417 0 "> "{TEXT 0 16 "  LinReg(X,Y,x);"}}{INP_R 420 0 "> "{TEXT 0
 28 "  p1:=Histogram(Y,0..12,12):"}}{INP_R 423 0 "> "{TEXT 0 81 "
  p2:=plot(\{plot(y/20, y=0..2), plot(1/10, y=2..10), plot((12-y)
/20, y=10..12)\}):"}}{INP_R 426 0 "> "{TEXT 0 16 "  plot(\{p1,p2\
});"}}{INP_R 429 0 "> "{TEXT 0 75 "  muy:=int(y*y/20, y=0..2)+int
(y*1/10, y=2..10)+int(y*(12-y)/20, y=10..12);"}}{INP_R 432 0 "> "
{TEXT 0 22 "  Mean(Y), evalf(muy);"}}{INP_R 435 0 "> "{TEXT 0 88 
"  vary:=int(y^2*y/20, y=0..2)+int(y^2*1/10, y=2..10)+int(y^2*(12
-y)/20, y=10..12)-muy^2;"}}{INP_R 438 0 "> "{TEXT 0 27 "  Varianc
e(Y), evalf(vary);"}}}{SCP_R 440 0 7{COM_R 442 0{TEXT 1 13 "Probl
em 9_2_9"}}{INP_R 445 0 "> "{TEXT 0 36 "  P:=[seq([rng(),rng()], \+
i=1..200)]:"}}{INP_R 448 0 "> "{TEXT 0 24 "  X:=[seq(Min(p), p=P)
]:"}}{INP_R 451 0 "> "{TEXT 0 24 "  Y:=[seq(Max(p), p=P)]:"}}
{INP_R 454 0 "> "{TEXT 0 51 "  plot(\{ScatPlotLine(X,Y), plot((x+
1)/2, x=0..1)\});"}}{INP_R 457 0 "> "{TEXT 0 46 "  plot(\{Histogr
am(X), plot(2*(1-x), x=0..1)\});"}}{INP_R 460 0 "> "{TEXT 0 42 " \+
 plot(\{Histogram(Y), plot(2*y, y=0..1)\});"}}}{SCP_R 462 0 9
{COM_R 464 0{TEXT 1 14 "Problem 9_2_10"}}{INP_R 467 0 "> "{TEXT 0
 25 "  X:=UniformS(0..10, 50):"}}{INP_R 470 0 "> "{TEXT 0 45 "  Y
:=[seq(-X[i]^2+10*X[i]+5*rng(), i=1..50)]:"}}{INP_R 473 0 "> "
{TEXT 0 20 "  p1:=ScatPlot(X,Y):"}}{INP_R 476 0 "> "{TEXT 0 25 " \+
 yhat:=PolyReg(X,Y,2,x);"}}{INP_R 479 0 "> "{TEXT 0 26 "  p2:=plo
t(yhat, x=0..10):"}}{INP_R 482 0 "> "{TEXT 0 35 "  p3:=plot(-x^2+
10*x+5/2, x=0..10):"}}{INP_R 485 0 "> "{TEXT 0 19 "  plot(\{p1,p2
,p3\});"}}{INP_R 488 0 "> "{TEXT 0 19 "  Correlation(X,Y);"}}}
{SCP_R 490 0 2{COM_R 492 0{TEXT 1 14 "Problem 9_2_11"}}{COM_R 495
 0{TEXT 1 45 "Repeat problem 9_2_10 with approprate values."}}}
{SCP_R 497 0 11{COM_R 499 0{TEXT 1 14 "Problem 9_2_12"}}{INP_R 
502 0 "> "{TEXT 0 12 "  X:=D9212X;"}}{INP_R 505 0 "> "{TEXT 0 12 
"  Y:=D9212Y;"}}{INP_R 508 0 "> "{TEXT 0 20 "  y1:=LinReg(X,Y,x);
"}}{INP_R 511 0 "> "{TEXT 0 20 "  ScatPlotLine(X,Y);"}}{INP_R 514
 0 "> "{TEXT 0 44 "  R1:=[seq(Y[i]-subs(x=X[i],y1), i=1..100)]:"}
}{INP_R 517 0 "> "{TEXT 0 17 "  ScatPlot(X,R1);"}}{INP_R 520 0 ">
 "{TEXT 0 23 "  y2:=PolyReg(X,Y,2,x);"}}{INP_R 523 0 "> "{TEXT 0 
41 "  plot(\{ScatPlot(X,Y),plot(y2, x=0..4)\});"}}{INP_R 526 0 ">
 "{TEXT 0 44 "  R2:=[seq(Y[i]-subs(x=X[i],y2), i=1..100)]:"}}
{INP_R 529 0 "> "{TEXT 0 17 "  ScatPlot(X,R2);"}}}{SCP_R 531 0 10
{COM_R 533 0{TEXT 1 13 "Problem 9_3_1"}}{INP_R 536 0 "> "{TEXT 0 
24 "  X:=NormalS(50,36,100):"}}{INP_R 539 0 "> "{TEXT 0 79 "  Y:=
[seq(op(NormalS(70+.80*sqrt(64/36)*(X[i]-50),64*(1-.80^2),1)), i=
1..100)]:"}}{INP_R 542 0 "> "{TEXT 0 19 "  Correlation(X,Y);"}}
{INP_R 545 0 "> "{TEXT 0 17 "  LinReg(X,Y,x); "}}{INP_R 548 0 "> \+
"{TEXT 0 39 "  EY:=evalf(70+.80*sqrt(64/36)*(x-50));"}}{INP_R 551
 0 "> "{TEXT 0 47 "  plot(\{ScatPlotLine(X,Y),plot(EY, x=30..70)\
});"}}{INP_R 554 0 "> "{TEXT 0 19 "  p1:=Histogram(Y):"}}{INP_R 
557 0 "> "{TEXT 0 41 "  p2:=plot(NormalPDF(70,64,y), y=45..95):"}
}{INP_R 560 0 "> "{TEXT 0 16 "  plot(\{p1,p2\});"}}}{SCP_R 562 0 
2{COM_R 564 0{TEXT 1 13 "Problem 9_3_2"}}{COM_R 567 0{TEXT 1 43 "
Repeat problem 9_3_1 with different values."}}}{SCP_R 569 0 4
{COM_R 571 0{TEXT 1 13 "Problem 9_3_3"}}{INP_R 574 0 "> "{TEXT 0 
49 "  mux:=50: muy:=70: varx:=36: vary:=64: rho:=.80:"}}{INP_R 
577 0 "> "{TEXT 0 51 "  f:=BivariateNormalPDF(mux,varx,x,muy,vary
,y,rho);"}}{INP_R 580 0 "> "{TEXT 0 49 "  plot3d(f, x=35..65, y=5
0..100, numpoints=3000);"}}}{SCP_R 582 0 3{COM_R 584 0{TEXT 1 14 
" Problem 9_4_1"}}{INP_R 587 0 "> "{TEXT 0 73 "  g:=(n,r)->GAMMA(
(n-1)/2)/(GAMMA(1/2)*GAMMA((n-2)/2))*(1-r^2)^((n-4)/2);"}}{INP_R 
590 0 "> "{TEXT 0 39 "  plot(\{seq(g(i,r), i=3..7)\}, r=-1..1);"}
}}{SCP_R 592 0 3{COM_R 594 0{TEXT 1 13 "Problem 9_4_2"}}{INP_R 
597 0 "> "{TEXT 0 73 "  g:=(n,r)->GAMMA((n-1)/2)/(GAMMA(1/2)*GAMM
A((n-2)/2))*(1-r^2)^((n-4)/2);"}}{INP_R 600 0 "> "{TEXT 0 43 "  p
lot(\{g(10,r),g(15,r),g(20,r)\}, r=-1..1);"}}}{SCP_R 602 0 5
{COM_R 604 0{TEXT 1 13 "Problem 9_4_3"}}{INP_R 607 0 "> "{TEXT 0 
73 "  g:=(n,r)->GAMMA((n-1)/2)/(GAMMA(1/2)*GAMMA((n-2)/2))*(1-r^2
)^((n-4)/2);"}}{COM_R 610 0{TEXT 1 38 "# The mean mu=0 since r*g(
n,r) is odd."}}{INP_R 613 0 "> "{TEXT 0 32 "  var:=int(r^2*g(n,r)
, r=-1..1);"}}{INP_R 616 0 "> "{TEXT 0 35 "  seq(eval(subs(n=i,va
r)), i=3..8);"}}}{SCP_R 618 0 10{COM_R 620 0{TEXT 1 13 "Problem 9
_4_4"}}{INP_R 623 0 "> "{TEXT 0 73 "  g:=(n,r)->GAMMA((n-1)/2)/(G
AMMA(1/2)*GAMMA((n-2)/2))*(1-r^2)^((n-4)/2);"}}{INP_R 626 0 "> "
{TEXT 0 46 "  G:=(n,r)->TCDF(n-2,r*sqrt(n-2)/sqrt(1-r^2));"}}
{INP_R 629 0 "> "{TEXT 0 7 "  n:=3:"}}{INP_R 632 0 "> "{TEXT 0 46
 "  XSamples:=[seq(NormalS(20,36,n), i=1..100)]:"}}{INP_R 635 0 "
> "{TEXT 0 46 "  YSamples:=[seq(NormalS(40,64,n), i=1..100)]:"}}
{INP_R 638 0 "> "{TEXT 0 59 "  R:=[seq(Correlation(XSamples[i],YS
amples[i]), i=1..100)]:"}}{INP_R 641 0 "> "{TEXT 0 45 "  plot(\{H
istogram(R),plot(g(n,r), r=-1..1)\});"}}{INP_R 644 0 "> "{TEXT 0 
53 "  plot(\{PlotEmpCDF(R, -1..1),plot(G(n,r), r=-1..1)\});"}}
{COM_R 647 0{TEXT 1 19 "Repeat for other n."}}}{SCP_R 649 0 9
{COM_R 651 0{TEXT 1 13 "Problem 9_4_5"}}{INP_R 654 0 "> "{TEXT 0 
7 "  n:=3:"}}{INP_R 657 0 "> "{TEXT 0 46 "  XSamples:=[seq(Normal
S(20,36,n), i=1..100)]:"}}{INP_R 660 0 "> "{TEXT 0 46 "  YSamples
:=[seq(NormalS(40,64,n), i=1..100)]:"}}{INP_R 663 0 "> "{TEXT 0 
59 "  R:=[seq(Correlation(XSamples[i],YSamples[i]), i=1..100)]:"}
}{INP_R 666 0 "> "{TEXT 0 41 "  T:=[seq(r*sqrt(n-2)/sqrt(1-r^2), \+
r=R)]:"}}{INP_R 669 0 "> "{TEXT 0 63 "  plot(\{Histogram(T,-20..2
0,20),plot(TPDF(n-2,t), t=-20..20)\});"}}{INP_R 672 0 "> "{TEXT 0
 59 "  plot(\{Ogive(T,-20..20,20),plot(TCDF(n-2,t), t=-20..20)\})
;"}}{COM_R 675 0{TEXT 1 19 "Repeat for other n."}}}{SCP_R 677 0 8
{COM_R 679 0{TEXT 1 13 "Problem 9_4_6"}}{INP_R 682 0 "> "{TEXT 0 
7 "  n:=5:"}}{INP_R 685 0 "> "{TEXT 0 46 "  XSamples:=[seq(Normal
S(20,36,n), i=1..100)]:"}}{INP_R 688 0 "> "{TEXT 0 46 "  YSamples
:=[seq(NormalS(40,64,n), i=1..100)]:"}}{INP_R 691 0 "> "{TEXT 0 
59 "  R:=[seq(Correlation(XSamples[i],YSamples[i]), i=1..100)]:"}
}{INP_R 694 0 "> "{TEXT 0 58 "  W:=[seq(evalf(ln((1+r)/(1-r))/(2*
sqrt(1/(n-3)))), r=R)]:"}}{INP_R 697 0 "> "{TEXT 0 65 "  plot(\{H
istogram(W,-3..3,10), plot(NormalPDF(0,1,z), z=-3..3)\});"}}
{INP_R 700 0 "> "{TEXT 0 34 "  KSFit(W,NormalCDF(0,1,z),-3..3);"}
}}{SCP_R 702 0 2{COM_R 704 0{TEXT 1 13 "Problem 9_4_7"}}{COM_R 
707 0{TEXT 1 34 "Repeat problem 9_4_6 with other n."}}}{SCP_R 709
 0 9{COM_R 711 0{TEXT 1 13 "Problem 9_5_1"}}{INP_R 714 0 "> "
{TEXT 0 8 "  n:=10:"}}{INP_R 717 0 "> "{TEXT 0 34 "  Samples:=[se
q(RNG(n), i=1..50)]:"}}{INP_R 720 0 "> "{TEXT 0 52 "  YSamples:=[
seq(ClassFreq(X, 0..1, 5), X=Samples)]:"}}{INP_R 723 0 "> "{TEXT 
0 56 "  Q:=[seq(sum((Y[j]-n/5)^2/(n/5), j=1..5), Y=YSamples)]:"}}
{INP_R 726 0 "> "{TEXT 0 35 "  KSFit(Q,ChisquareCDF(4,x),0..15);"
}}{INP_R 729 0 "> "{TEXT 0 17 "  evalf(Mean(Q));"}}{INP_R 732 0 "
> "{TEXT 0 21 "  evalf(Variance(Q));"}}{COM_R 735 0{TEXT 1 19 "Re
peat for other n."}}}{SCP_R 737 0 7{COM_R 739 0{TEXT 1 13 "Proble
m 9_5_2"}}{INP_R 742 0 "> "{TEXT 0 8 "  n:=20:"}}{INP_R 745 0 "> \+
"{TEXT 0 34 "  Samples:=[seq(RNG(n), i=1..50)]:"}}{INP_R 748 0 ">
 "{TEXT 0 53 "  YSamples:=[seq(ClassFreq(X, 0..1, 10), X=Samples)
]:"}}{INP_R 751 0 "> "{TEXT 0 59 "  Q:=[seq(sum((Y[j]-n/10)^2/(n/
10), j=1..10), Y=YSamples)]:"}}{INP_R 754 0 "> "{TEXT 0 35 "  KSF
it(Q,ChisquareCDF(9,x),0..25);"}}{COM_R 757 0{TEXT 1 19 "Repeat f
or other n."}}}{SCP_R 759 0 3{COM_R 761 0{TEXT 1 13 "Problem 9_6_
1"}}{INP_R 764 0 "> "{TEXT 0 17 "  X:=Die(10,200):"}}{INP_R 767 0
 "> "{TEXT 0 44 "  ChisquareFit(X, x/10, [$1..11], discrete);"}}}
{SCP_R 769 0 4{COM_R 771 0{TEXT 1 13 "Problem 9_6_2"}}{INP_R 774 
0 "> "{TEXT 0 26 "  X:=BinomialS(4,1/2,200):"}}{INP_R 777 0 "> "
{TEXT 0 26 "  F:=BinomialCDF(4,1/2,x);"}}{INP_R 780 0 "> "{TEXT 0
 40 "  ChisquareFit(X, F, [$0..5], discrete);"}}}{SCP_R 782 0 4
{COM_R 784 0{TEXT 1 13 "Problem 9_6_3"}}{INP_R 787 0 "> "{TEXT 0 
21 "  X:=PoissonS(4,200):"}}{INP_R 790 0 "> "{TEXT 0 21 "  F:=Poi
ssonCDF(4,x);"}}{INP_R 793 0 "> "{TEXT 0 47 "  ChisquareFit(X, F,
 [$0..Max(X)+1], discrete);"}}}{SCP_R 795 0 8{COM_R 797 0{TEXT 1 
13 "Problem 9_6_4"}}{INP_R 800 0 "> "{TEXT 0 41 "  L:=[[0,109],[1
,65],[2,22],[3,3],[4,1]];"}}{INP_R 803 0 "> "{TEXT 0 18 "  lambda
:=Mean(L);"}}{INP_R 806 0 "> "{TEXT 0 26 "  F:=PoissonCDF(lambda,
x);"}}{INP_R 809 0 "> "{TEXT 0 40 "  ChisquareFit(L, F, [$0..5], \+
discrete);"}}{INP_R 812 0 "> "{TEXT 0 68 "# Replace (q_value) bel
ow with the chi-square statistic returned by "}}{INP_R 815 0 "> "
{TEXT 0 13 "ChisquareFit."}}{INP_R 818 0 "> "{TEXT 0 32 "  1-Chis
quareCDF(3, (q_value) );"}}}{SCP_R 820 0 2{COM_R 822 0{TEXT 1 13 
"Problem 9_6_5"}}{COM_R 825 0{TEXT 1 12 "# ###DATA###"}}}{SCP_R 
827 0 4{COM_R 829 0{TEXT 1 14 " Problem 9_6_6"}}{INP_R 832 0 "> "
{TEXT 0 26 "  X:=ExponentialS(10,200):"}}{INP_R 835 0 "> "{TEXT 0
 26 "  F:=ExponentialCDF(10,x);"}}{INP_R 838 0 "> "{TEXT 0 42 "  \+
ChisquareFit(X, F, [4*i$i=0..Max(X)/4]);"}}}{SCP_R 840 0 21{COM_R
 842 0{TEXT 1 13 "Problem 9_7_1"}}{INP_R 845 0 "> "{TEXT 0 7 "  k
:=5:"}}{INP_R 848 0 "> "{TEXT 0 8 "  n:=50:"}}{INP_R 851 0 "> "
{TEXT 0 17 "  for t to 100 do"}}{INP_R 854 0 "> "{TEXT 0 43 "    \+
X:=[seq(Freq(Die(k,n), 1..k), s=1..2)];"}}{INP_R 857 0 "> "{TEXT 
0 4 "    "}}{INP_R 860 0 "> "{TEXT 0 99 "QQ[t]:=sum(sum((X[j][i]-
n*(X[1][i]+X[2][i])/(n+n))^2/(n*(X[1][i]+X[2][i])/(n+n)), i=1..k)
, j=1..2);"}}{INP_R 863 0 "> "{TEXT 0 5 "  od:"}}{INP_R 866 0 "> \+
"{TEXT 0 22 "  Q:=convert(QQ,list);"}}{INP_R 869 0 "> "{TEXT 0 17
 "  evalf(Mean(Q));"}}{INP_R 872 0 "> "{TEXT 0 21 "  evalf(Varian
ce(Q));"}}{INP_R 875 0 "> "{TEXT 0 57 "  plot(\{Histogram(Q), plo
t(ChisquarePDF(4,q), q=0..15)\});"}}{INP_R 878 0 "> "{TEXT 0 2 " \+
 "}}{INP_R 881 0 "> "{TEXT 0 17 "  for t to 100 do"}}{INP_R 884 0
 "> "{TEXT 0 43 "    X:=[seq(Freq(Die(k,n), 1..k), s=1..2)];"}}
{INP_R 887 0 "> "{TEXT 0 64 "    QQs[t]:=sum(sum((X[j][i]-n*1/k)^
2/(n*1/k), i=1..k), j=1..2);"}}{INP_R 890 0 "> "{TEXT 0 5 "  od:"
}}{INP_R 893 0 "> "{TEXT 0 24 "  Qs:=convert(QQs,list);"}}{INP_R 
896 0 "> "{TEXT 0 18 "  evalf(Mean(Qs));"}}{INP_R 899 0 "> "{TEXT
 0 22 "  evalf(Variance(Qs));"}}{INP_R 902 0 "> "{TEXT 0 58 "  pl
ot(\{Histogram(Qs), plot(ChisquarePDF(8,q), q=0..20)\});"}}}
{SCP_R 904 0 3{COM_R 906 0{TEXT 1 14 " Problem 9_7_2"}}{INP_R 909
 0 "> "{TEXT 0 27 "  L:=[[392,649],[241,174]]:"}}{INP_R 912 0 "> \+
"{TEXT 0 17 "  Contingency(L);"}}}{SCP_R 914 0 3{COM_R 916 0{TEXT
 1 14 " Problem 9_7_3"}}{INP_R 919 0 "> "{TEXT 0 35 "  L:=[[60,54
,46,41],[40,44,53,57]]:"}}{INP_R 922 0 "> "{TEXT 0 17 "  Continge
ncy(L);"}}}{SCP_R 924 0 3{COM_R 926 0{TEXT 1 13 "Problem 9_7_4"}}
{INP_R 929 0 "> "{TEXT 0 72 "  L:=[[40,31,21,15],[16,27,13,4],[11
,25,15,3],[6,18,9,3],[14,19,10,10]];"}}{INP_R 932 0 "> "{TEXT 0 
17 "  Contingency(L);"}}}{SCP_R 934 0 3{COM_R 936 0{TEXT 1 13 "Pr
oblem 9_7_5"}}{INP_R 939 0 "> "{TEXT 0 38 "  L:=[[16,34],[33,60],
[14,43],[4,24]];"}}{INP_R 942 0 "> "{TEXT 0 17 "  Contingency(L);
"}}}{SCP_R 944 0 1{COM_R 946 0{TEXT 1 87 "                       \+
                                                End of Chapter 9"
}}}}{END}
